%define module Catalyst-Plugin-HTML-Widget
%define name	perl-%{module}
%define	modprefix Catalyst
%define version 1.1
%define release %mkrel 4

Summary:	HTML Widget And Validation Framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/Date/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Catalyst) >= 5.5
BuildRequires:	perl(HTML::Widget)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{version}-%{release}

%description
HTML Widget And Validation Framework

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}


%changelog
* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-4mdv2008.1
+ Revision: 138595
- rebuild
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 19:06:42 (53577)
- Spec file cleanup

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-06 18:54:02 (53544)
- import perl-Catalyst-Plugin-HTML-Widget-1.1-1mdk

* Tue Jan 18 2005 Scott Karns <scott@karnstech.com> 1.1-1mdk
- Initial Mdv RPM

